package cn.orionsec.ops.constant.sftp;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum SftpPackageType {

    /**
     * 上传文件
     */
    UPLOAD(1),

    /**
     * 下载文件
     */
    DOWNLOAD(2),

    /**
     * 全部
     */
    ALL(3),

    ;

    private final Integer type;

    public static SftpPackageType of(Integer type) {
        if (type == null) {
            return null;
        }
        for (SftpPackageType value : values()) {
            if (value.type.equals(type)) {
                return value;
            }
        }
        return null;
    }

}
